rmcbride@rama.com
2009-04-28T17:15:20Z
Hi all

I am trying to integrate Gallery Server Pro with YAF, however there seems to be a conflict with the AJAX Toolkit DLL. When I use the DLL that ships with YAF, GSP says it cannot use it. When I use the DLL that ships with GSP, YAF says it cannot use it.

Here is a sample error using the YAF version where GSP fails.

"Error - Could not load file or assembly 'AjaxControlToolkit, Version=1.0.10920.32880, Culture=neutral, PublicKeyToken=28f01b0e84b6d53e' or one of its dependencies. The located assembly's manifest definition does not match the assembly reference. (Exception from HRESULT: 0x80131040)"

I am working on this with Roger Martin (who uses the YAF forum for his website BTW), and he has asked if YAF has "Specific Version=False for the AJAX Toolkit assembly".

Does it?

Thanks

Richard


Sponsor
mddubs
2009-04-29T03:52:54Z
Choose the newer version of the Ajax dll and then use a Binding Redirect in the web.config that is breaking:
<runtime>
   <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
     <dependentAssembly>
       <assemblyIdentity name="AjaxControlToolkit" publicKeyToken="28f01b0e84b6d53e" />
       <bindingRedirect oldVersion="1.0.20229.26329" newVersion="3.0.11119.25533"/>
     </dependentAssembly>
   </assemblyBinding>
 </runtime>

UserPostedImage 
www.bunkerhollow.com  | www.careercomputing.com 
When I post fp:mddubs in a topic, I'm leaving my footprint there so I can track it once I get into coding/supporting. (Yes I stole this off Mek 🙂, who stole this off Ederon 🙂 )
dell3
  •  dell3
  • 51.8% (Neutral)
  • YAF Forumling
2010-03-15T09:59:32Z
I know this is an older topic, but I am having the same issue.

I have tried adding the code snippet above and it still gives the error about about the manifest definition listed above. I've even gone so far as trying to compile the source of YAF and Gallery Server Pro against the 3.5 Framework to no avail.

Is there anyone that successfully corrected this issue using the above method or any other method?

dell3
  •  dell3
  • 51.8% (Neutral)
  • YAF Forumling
2010-03-16T15:55:08Z
I had to set the "Specific Version" of the AjaxControlToolkit reference to "True" and rebuild the YAF.Controls project to get it to work. Otherwise, it kept reverting back to version 1.0.

It'll bite me if I update the control, but it is working now, at least.



About Us

The YAF.NET is an open source .NET forum project. YAF.NET is supported by an team of international developers who are build community by building community software.

Powered by Resharper Donate with PayPal button

Project Twitter Updates

Copyright © YetAnotherForum.NET & Ingo Herbote. All rights reserved